## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMeshSelectListener Struct Reference

Listen to mesh selection. More...

`#include <propclass/meshsel.h>`

List of all members.

## Public Member Functions

virtual void | MouseDown (iPcMeshSelect *meshsel, int x, int y, int button, iCelEntity *entity)=0
| Mouse button goes down on mesh.
virtual void | MouseMove (iPcMeshSelect *meshsel, int x, int y, int button, iCelEntity *entity)=0
| Mouse moves while mesh is selected.
virtual void | MouseUp (iPcMeshSelect *meshsel, int x, int y, int button, iCelEntity *entity)=0
| Mouse button goes up on mesh.

## Detailed Description

Listen to mesh selection.

Definition at line 39 of file meshsel.h.

## Member Function Documentation

virtual void iPcMeshSelectListener::MouseDown | ( | iPcMeshSelect * | meshsel,
|  | int | x,
|  | int | y,
|  | int | button,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| Mouse button goes down on mesh.

virtual void iPcMeshSelectListener::MouseMove | ( | iPcMeshSelect * | meshsel,
|  | int | x,
|  | int | y,
|  | int | button,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| Mouse moves while mesh is selected.

virtual void iPcMeshSelectListener::MouseUp | ( | iPcMeshSelect * | meshsel,
|  | int | x,
|  | int | y,
|  | int | button,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| Mouse button goes up on mesh.

The documentation for this struct was generated from the following file:

- propclass/meshsel.h